package com.jz.dm.mall.moduls.controller.customer.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/19
 * @Version:
 */
@ApiModel(value = "买方用户中心返回参数")
@Data
public class PurchaserUserCenterDto implements Serializable {

    /**
     * 成交额
     */
    @ApiModelProperty(value = "累计收入")
    private BigDecimal transactionMoney;
    /**
     * 成交单数
     */
    @ApiModelProperty(value = "企业总数")
    private String orderTotal;

    /**
     * 平均成交额
     */
    @ApiModelProperty(value = "平均成交额")
    private String meanTransactionMoney;

    @ApiModelProperty(value = "企业名称")
    private String departmentName;

    @ApiModelProperty(value = "企业地址")
    private String registeredAddress;

    @ApiModelProperty(value = "入驻时间")
    private Date creTime;

    @ApiModelProperty(value = "账户余额")
    private String useMoney;
}
