package com.jz.dm.mall.moduls.controller.order.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: SaltResetReq
 * @DATE: 2020-12-26/19:16
 * @DAY_NAME_SHORT: 周六
 * @Description:
 **/
@Data
@ApiModel("盐值重置请求体")
public class SaltResetReq implements Serializable {
    @ApiModelProperty(value = "授权码",required = true)
    @NotNull(message = "授权码不能为空")
    private String goodsToken;

    @ApiModelProperty(value = "订单id")
//    @NotNull(message = "订单id不能为空")
    private Long id;

}
