package com.jz.manage.moduls.controller.goods.bean.request;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/19
 * @Version:
 */
@ApiModel(value = "商品审核管理搜索请求参数")
@Data
public class DataGoodsAuditListReq extends BasePageBean {

    @ApiModelProperty(value = "商品类型: 01api,02数据包")
    private String dataType;

    @ApiModelProperty(value = "上传时间")
    private String creTime;

    @ApiModelProperty(value = "更新时间")
    private String uptTime;

    @ApiModelProperty(value = "审核状态")
    private String auditStatus;

    @ApiModelProperty(value = "搜索条件：商品名称/商品行业")
    private String search;
}
