package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/16
 * @Version:
 */
@ApiModel
@Data
@TableName("t_mall_user_role")
public class MallUserRole implements Serializable {

    private static final long serialVersionUID = 5093676200943796700L;

    @TableId(value = "customer_role_id",type = IdType.AUTO)
    private Long customerRoleId;

    @ApiModelProperty(value = "用户id")
    private Long customerId;

    @ApiModelProperty(value = "角色id")
    private Long roleId;
}
