package com.jz.dm.models.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.dto
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiCallDataDto
 * @DATE: 2021-1-20/10:17
 * @DAY_NAME_SHORT: 周三
 * @Description:
 **/
@Data
@ApiModel("api计量统计dto")
public class ApiCallDataDto implements Serializable {

    @ApiModelProperty(value = "调用总次数")
    private Integer callLimit;

    @ApiModelProperty(value = "调用总耗时")
    private Double callTimeStat;
}
