package com.jz.dm.models.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.resp
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiInterfaceFileResp
 * @DATE: 2021-1-15/14:33
 * @DAY_NAME_SHORT: 周五
 * @Description:
 **/
@Data
@ApiModel("api文件夹列表返回体")
public class ApiInterfaceFileDto implements Serializable {

    @ApiModelProperty(value = "文件自增id")
    private Long id;

    @ApiModelProperty(value="父级id")
    private Long parentId;

    @ApiModelProperty(value="父到子之间级数")
    private Integer levels;

}
