package com.jz.manage.moduls.controller.finance.platForm;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/15
 * @Version:
 */
@ApiModel(value = "快速提现--获取提现信息请求参数", description = "获取提现信息请求参数")
@Data
public class CashOutQuickReq implements Serializable {
    @ApiModelProperty(value = "企业名称")
    private String departmentName;

    @ApiModelProperty(value = "联系人姓名")
    private String linkman;

    @ApiModelProperty(value = "联系人电话")
    private String telephone;

    @ApiModelProperty(value = "统一社会信用代码")
    @NotNull(message = "统一社会信用代码不能为空!")
    private String unifiedCreditCode;

    @ApiModelProperty(value = "充值金额")
    @NotNull(message = "提现金额不能为空!")
    private String cashOutMoney;
}
