package com.jz.manage.moduls.controller.finance.platForm;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/16
 * @Version:
 */
@ApiModel(value = "成交额和成交单数和平均成交额返回参数", description = "成交额和成交单数和平均成交额返回参数")
@Data
public class MoneyAndOrderTotalDto {
    /**
     * 成交额
     */
    @ApiModelProperty(value = "累计收入")
    private BigDecimal transactionMoney;
    /**
     * 成交单数
     */
    @ApiModelProperty(value = "企业总数")
    private String orderTotal;

    /**
     * 平均成交额
     */
    @ApiModelProperty(value = "平均成交额")
    private String meanTransactionMoney;
}
