package com.jz.manage.moduls.controller.order.bean;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 订单表(TOrder)实体类
 *
 * @author makejava
 * @since 2020-12-01 10:41:40
 */

@ApiModel("api订单返回参数")
@Data
public class OrderRequest extends BasePageBean {
    private static final long serialVersionUID = 651546246975691600L;

    @ApiModelProperty(value = "企业名称")
    private String departmentName;


    @ApiModelProperty
    private String orderNumber;
    /**
     * 数据行业
     */
    @ApiModelProperty(value = "数据行业",hidden = true)
    private String categoryId;
    /**
     * 购买方式：01年，02季，03月，04次(服务类型)
     */
    @ApiModelProperty(value = "购买方式：01年，02季，03月，04次(服务类型)")
    private String purchaseMethod;
    /**
     * 数据名称
     */
    @ApiModelProperty(value = "数据名称")
    private String dataName;

    /**
     * 订单时间
     */
    @ApiModelProperty(value = "订单时间")
    private String orderTime;

    @ApiModelProperty(value = "搜索")
    private String search;
}