package com.jz.manage.moduls.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.manage.moduls.entity.MallCustomer;
import com.jz.manage.moduls.entity.MallUserRole;
import org.apache.ibatis.annotations.Param;


import java.util.Map;

/**
 * 商城用户(TMallCustomer)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:39
 */
public interface MallCustomerDao extends BaseMapper<MallCustomer> {


    MallCustomer selectByUser(Map map);

    /**
     * 查询当前用户身份
     * @param customerId
     * @return
     */
    MallUserRole findByRoleId(@Param("customerId") Long customerId);
}